=== apps/llpkg/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

include(GNUInstallDirs)

install(PROGRAMS llpkg DESTINATION ${CMAKE_INSTALL_BINDIR})
