=== tools/qdbusxml2cpp/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_executable(qdbusxml2cpp qdbusxml2cpp.cpp)

target_link_libraries(qdbusxml2cpp PRIVATE Qt5::DBus Qt5::Core Qt5::DBusPrivate)
