=== debian/changelog ===
linglong (1.6.0-1) unstable; urgency=medium

  * feat: Check if the app ID conforms to the rules
  * fix: app exists after the installation job canceled
  * fix: automatic updates will break the base env
  * fix: the upgrade service affects system startup time
  * fix: chromium timezone show error

 -- dengbo <dengbo@deepin.org>  Wed, 07 Aug 2024 13:20:49 +0800

linglong (1.5.9-1) unstable; urgency=medium

  * fix: Correct application's systemd service functionality
  * fix: error when pulling source code with git
  * fix: failed to build deb in uos i386 arch

 -- dengbo <dengbo@deepin.org>  Mon, 29 Jul 2024 10:58:54 +0800

linglong (1.5.8-1) unstable; urgency=medium

  * fix: can not install linglong app from store.linglong.dev
  * feat: ll-build appimage convert support export uab or layer
  * feat: Optimize build progress display
  * fix: example build error in uos20 arm arch
  * fix: builder create return error

 -- dengbo <dengbo@deepin.org>  Tue, 09 Jul 2024 16:44:15 +0800

linglong (1.5.7-1) unstable; urgency=medium

  * fix: failed to run app after ll-cli received SIGINT
  * fix: Canceling a task causes the package manager to crash.
  * fix: remove task after installation
  * fix: ll-cli install return error errcode
  * feat: support for installing from uab
  * fix: container env error when environment variables have multiple values
  * fix: ll-builder convert appimage error when use url
  * fix: update bash completion

 -- dengbo <dengbo@deepin.org>  Mon, 01 Jul 2024 15:32:20 +0800

linglong (1.5.6-1) unstable; urgency=medium

  * fix: layer size error when export layer repeatedly
  * fix: missed some env variables when reusing container
  * fix: builder did not exit when the build script failed
  * feat: add option "--layer" for ll-builder to export layer
  * fix: failed to run linglong app in ubuntu 24.04
  * feat: Create dedicated client for HTTP requests
  * feat: does not use temporary repository when pulling
  * feat: ll-builder allows manual linglong.yaml selection
  * fix: builder did not exit when the build script failed

 -- dengbo <dengbo@deepin.org>  Thu, 20 Jun 2024 16:45:51 +0800

linglong (1.5.1-1) unstable; urgency=medium

  * fix: move the reinstall operation to new script

 -- dengbo <dengbo@deepin.org>  Mon, 13 May 2024 11:35:15 +0800

linglong (1.5.0-1) unstable; urgency=medium

  * release after some refactor.

 -- dengbo <dengbo@deepin.org>  Tue, 23 Apr 2024 15:48:14 +0800

linglong (1.4.3-1) unstable; urgency=medium

  * Fix some ll-builder bugs.
  * Bring `enter` back.
  * Update postinst scrips to remove x11 session hook.

 -- Chen Linxuan <me@black-desk.cn>  Thu, 18 Jan 2024 15:32:29 +0800

linglong (1.4.1-1) unstable; urgency=medium

  * Enable dh_installsysuser;
  * Fix a problem caused by new repository location.

 -- Chen Linxuan <me@black-desk.cn>  Fri, 05 Jan 2024 22:51:39 +0800

linglong (1.4.0-1) unstable; urgency=low

  * First release after some refactory.

 -- Chen Linxuan <me@black-desk.cn>  Wed, 03 Jan 2024 15:56:48 +0800

linglong (1.3.5.1-1) unstable; urgency=medium

  * when launching the application for the second time, use the
    exec parameter in the desktop file instead of the last value.

 -- chenhuixing <chenhuixing@uniontech.com>  Thu, 05 Jan 2023 10:20:21 +0800

linglong (1.3.5-1) unstable; urgency=medium

  * ll-cli repo modify add nodbus mode.

 -- huqinghong <huqinghong@uniontech.com>  Tue, 27 Dec 2022 10:15:00 +0800

linglong (1.3.4-1) unstable; urgency=medium

  * 1. fix ll-cli query prompt in the case of a network failure
  * 2. fix ll-cli run with special symbol
  * 3. fix ll-cli support any repo name

 -- huqinghong <huqinghong@uniontech.com>  Wed, 07 Dec 2022 15:50:01 +0800

linglong (1.3.3.23-1) unstable; urgency=medium

  * update version to 1.3.3.23-1 for deepin.

 -- yuanqiliang <yuanqiliang@uniontech.com>  Mon, 05 Dec 2022 11:03:42 +0800

linglong (1.3.3.22-1) unstable; urgency=medium

  * update version to 1.3.3.22-1 for deepin.

 -- yuanqiliang <yuanqiliang@uniontech.com>  Thu, 25 Nov 2022 11:03:42 +0800

linglong (1.3.3.21-1) unstable; urgency=medium

  * update version to 1.3.3.21-1 for deepin.

 -- huqinghong <huqinghong@uniontech.com>  Thu, 24 Nov 2022 11:03:42 +0800

linglong (1.3.3.20-1) unstable; urgency=medium

  * update version to 1.3.3.20-1 for deepin.

 -- chenhuixing <chenhuixing@uniontech.com>  Fri, 18 Nov 2022 18:38:12 +0800

linglong (1.3.3.19-1) unstable; urgency=medium

  * update version to 1.3.3.19-1 for deepin.

 -- liujianqiang <liujianqiang@uniontech.com>  Fri, 11 Nov 2022 10:19:28 +0800

linglong (1.3.3.18-1) unstable; urgency=medium

  * update version to 1.3.3.18-1 for deepin.

 -- yuanqiliang <yuanqiliang@uniontech.com>  Wed, 02 Nov 2022 15:22:13 +0800

linglong (1.3.3.17-1) unstable; urgency=medium

  * update version to 1.3.3.17-1 for deepin.

 -- huqinghong <huqinghong@uniontech.com>  Wed, 02 Nov 2022 15:22:13 +0800

linglong (1.3.3.16-1) unstable; urgency=medium

  * update version to 1.3.3.16-1 for deepin.

 -- Chen Linxuan <chenlinxuan@uniontech.com>  Thu, 27 Oct 2022 14:55:00 +0800

linglong (1.3.3.14-1) unstable; urgency=medium

  * update version to 1.3.3.14-1 for deepin.

 -- yuanqiliang <yuanqiliang@uniontech.com>  Thu, 08 Sep 2022 15:55:17 +0800

linglong (1.3.3.8-1) unstable; urgency=medium

  * update version to 1.3.3.8-1 for deepin.

 -- huqinghong <huqinghong@uniontech.com>  Thu, 08 Sep 2022 20:35:17 +0800

linglong (1.3.3.7-1) unstable; urgency=medium

  * update version to 1.3.3.7-1 for deepin.

 -- chenhuixing <chenhuixing@uniontech.com>  Tue, 06 Sep 2022 10:01:10 +0800

linglong (1.3.3.6-1) unstable; urgency=medium

  * update version to 1.3.3.6-1 for deepin.

 -- chenhuixing <chenhuixing@uniontech.com>  Tue, 09 Aug 2022 14:20:18 +0800

linglong (1.3.3.5-1) unstable; urgency=medium

  * update version to 1.3.3.5-1 for deepin.

 -- liujianqiang <liujianqiang@uniontech.com>  Mon, 01 Aug 2022 20:47:34 +0800

linglong (1.3.3.4-1) unstable; urgency=medium


